<?php

namespace Chemical\Export\Repositories\Eloquent;

use Chemical\Export\Interfaces\ExportRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ExportRepository extends BaseRepository implements ExportRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('chemical.export.export.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('chemical.export.export.model.model');
    }
}
