<?php

namespace Chemical\Export;

use DB;
use Illuminate\Database\Seeder;

class ExportTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('exports')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'export.export.view',
                'name'      => 'View Export',
            ],
            [
                'slug'      => 'export.export.create',
                'name'      => 'Create Export',
            ],
            [
                'slug'      => 'export.export.edit',
                'name'      => 'Update Export',
            ],
            [
                'slug'      => 'export.export.delete',
                'name'      => 'Delete Export',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/export/export',
                'name'        => 'Export',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/export/export',
                'name'        => 'Export',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'export',
                'name'        => 'Export',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Export',
                'module'    => 'Export',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'export.export.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
