Lavalite package that provides export management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `chemical/export`.

    "chemical/export": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Chemical\Export\Providers\ExportServiceProvider::class,

And also add it to alias

    'Export'  => Chemical\Export\Facades\Export::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Chemical\\ExportTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Chemical\Export\Providers\ExportServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Chemical\Export\Providers\ExportServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Chemical\Export\Providers\ExportServiceProvider" --tag="view"


## Usage


