<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for export in export package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  export module in export package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Export',
    'names'         => 'Exports',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Exports',
        'sub'   => 'Exports',
        'list'  => 'List of exports',
        'edit'  => 'Edit export',
        'create'    => 'Create new export'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'seller_id'                  => 'Please enter seller',
        'product_id'                 => 'Please enter product',
        'country_id'                 => 'Please enter country',
        'producer_name'              => 'Please enter producer',
        'hs_code'                    => 'Please enter hs code',
        'weight'                     => 'Please enter weight',
        'value'                      => 'Please enter value',
        'avg_weight'                 => 'Please enter avg weight',
        'avg_value'                  => 'Please enter avg value',
        'no_of_shipments'            => 'Please enter no of shipments',
        'import_date'                => 'Please select import date',
        'details'                    => 'Please enter details',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'seller_id'                  => 'Seller',
        'product_id'                 => 'Producer',
        'country_id'                 => 'Country',
        'producer_name'              => 'Producer',
        'hs_code'                    => 'Hs code',
        'weight'                     => 'Weight',
        'value'                      => 'Value',
        'avg_weight'                 => 'Avg weight',
        'avg_value'                  => 'Avg value',
        'no_of_shipments'            => 'No of shipments',
        'import_date'                => 'Import date',
        'details'                    => 'Details',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'seller_id'                  => ['name' => 'Seller', 'data-column' => 1, 'checked'],
        'product_id'                 => ['name' => 'Producer', 'data-column' => 2, 'checked'],
        'country_id'                 => ['name' => 'Country', 'data-column' => 3, 'checked'],
        'producer_name'              => ['name' => 'Producer', 'data-column' => 4, 'checked'],
        'hs_code'                    => ['name' => 'Hs code', 'data-column' => 5, 'checked'],
        'weight'                     => ['name' => 'Weight', 'data-column' => 6, 'checked'],
        'value'                      => ['name' => 'Value', 'data-column' => 7, 'checked'],
        'no_of_shipments'            => ['name' => 'No of shipments', 'data-column' => 8, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Exports',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
